libzypp 17.37.10

ztui::ansi::ColorTraits< Tp_ > Struct Template Reference

`#include <zypp-tui/utils/ansi.h>`

## Public Types
enum | { customColorCtor = false }

## Related Symbols
(Note that these are not member symbols.)
template<typename CCC_>
using | EnableIfCustomColorCtor = std::enable_if_t< ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >
| <Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits
template<typename CCC_>
using | DisableIfCustomColorCtor = std::enable_if_t< !ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >
| <Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

## Detailed Description

template<class Tp_>
struct ztui::ansi::ColorTraits< Tp_ >

Definition at line 146 of file ansi.h.

## Member Enumeration Documentation

## ◆ anonymous enum

template<class Tp_>

anonymous enum

Enumerator
customColorCtor |

Definition at line 147 of file ansi.h.

## Friends And Related Symbol Documentation

## ◆ EnableIfCustomColorCtor

template<class Tp_>
template<typename CCC_>

using EnableIfCustomColorCtor = std::enable_if_t< ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >
| related

<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

Definition at line 152 of file ansi.h.

## ◆ DisableIfCustomColorCtor

template<class Tp_>
template<typename CCC_>

using DisableIfCustomColorCtor = std::enable_if_t< !ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >
| related

<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

Definition at line 156 of file ansi.h.

The documentation for this struct was generated from the following file:

- zypp-tui/utils/ansi.h